- Qt 6.8
- Qt GUI
- C++ Classes
- QStyleHints
- Qt 6.8.2 Reference Documentation

# Obsolete Members for QStyleHints

The following members of class QStyleHints are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(deprecated in 6.5)` keyboardAutoRepeatRate : const int

## Public Functions

`(deprecated)` int | keyboardAutoRepeatRate() const

## Property Documentation

### `[read-only, deprecated in 6.5]` keyboardAutoRepeatRate : const int

This property is deprecated since 6.5. We strongly advise against using it in new code.

This property holds the rate, in events per second, in which additional repeated key presses will automatically be generated if a key is being held down. Use keyboardAutoRepeatRateF() instead

Access functions:

int | keyboardAutoRepeatRate() const